package net.thecodersbreakfast.spring.pluginsystem;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import net.thecodersbreakfast.spring.pluginsystem.plugin.IPlugin;

/**
 * 
 */
public class PluginManager
{
	private List<IPlugin> plugins = new ArrayList<IPlugin>();

	public boolean addPlugin(IPlugin plugin)
	{
		return this.plugins.add(plugin);
	}

	public boolean removePlugin(IPlugin plugin)
	{
		return this.plugins.remove(plugin);
	}

	public List<IPlugin> getPlugins()
	{
		return Collections.unmodifiableList(this.plugins);
	}
}
